Subject: Re: two instances of a.exe on dual processor - still only 50% performance
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Wed, 07 Jul 2004 06:04:07 -0700

[email-masked] wrote:

> Many thanks for this tip. I tried it out and indeed there is a "Set
> Affinity" option in the Taskmanager. Apparently, this option lets you
> assign one or more of the 4 virtual processors to a particular task. (W2K
> seems to have this concept of virtual processors, I am no expert at all
> here). But it doesn't change a thing. still 50% are spent on Idle mode...

You see 4 CPUs because of HyperThreading.  A HT CPU registers with the
OS as two CPUs, but it's not.  Only in certain circumstances can it run
two threads concurrently (such as performing an integer and floating
operation at the same time.)  Thus 50% CPU usage means that your system
is fully loaded.  On a HT system you've got to double all the CPU usage
percentages for it to make sense.  Occasionally you might see it surpass
50%, which would mean that the hyperthreading is particularly suited to
whatever combination of instructions is being executed and it's using
the CPU more efficiently.

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/